package com.ruoyi.project.sems.his.service;

import java.util.List;

import com.ruoyi.project.sems.domain.TSpecdevGl;
import com.ruoyi.project.sems.his.domain.TSpechiGl;

/**
 * 特种设备锅炉台账历史Service接口
 * 
 * @author ruoyi
 * @date 2021-09-02
 */
public interface ITSpechiGlService 
{
    /**
     * 查询特种设备锅炉台账历史
     * 
     * @param id 特种设备锅炉台账历史ID
     * @return 特种设备锅炉台账历史
     */
    public TSpechiGl selectTSpechiGlById(Long id);

    /**
     * 查询特种设备锅炉台账历史列表
     * 
     * @param tSpechiGl 特种设备锅炉台账历史
     * @return 特种设备锅炉台账历史集合
     */
    public List<TSpechiGl> selectTSpechiGlList(TSpechiGl tSpechiGl);

    /**
     * 新增特种设备锅炉台账历史
     * 
     * @param tSpechiGl 特种设备锅炉台账历史
     * @return 结果
     */
    public int insertTSpechiGl(TSpechiGl tSpechiGl);

    /**
     * 使用台账对象新增特种设备锅炉台账历史
     * @param tSpecdevGl 特种设备锅炉台账
     * @return
     */
    public int insertTSpechiGlWithDev(TSpecdevGl tSpecdevGl);

    /**
     * 修改特种设备锅炉台账历史
     * 
     * @param tSpechiGl 特种设备锅炉台账历史
     * @return 结果
     */
    public int updateTSpechiGl(TSpechiGl tSpechiGl);

    /**
     * 批量删除特种设备锅炉台账历史
     * 
     * @param ids 需要删除的特种设备锅炉台账历史ID
     * @return 结果
     */
    public int deleteTSpechiGlByIds(Long[] ids);

    /**
     * 删除特种设备锅炉台账历史信息
     * 
     * @param id 特种设备锅炉台账历史ID
     * @return 结果
     */
    public int deleteTSpechiGlById(Long id);

    public List<TSpechiGl> selectTSpechiGlByReform(Long devId);

    /**
     * 根据devid删除特种设备锅炉的台账历史信息
     * @param devId
     * @return
     */
    public int deleteTSpechiGlByDevId(Long devId);

}
